/*
 * #%L
 * restdoc-plugin
 * %%
 * Copyright (C) 2012 IG Group
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */
package com.iggroup.oss.restdoclet.plugin.util;


/**
 * This exception is thrown when the documentaion of a controller generated by XmlDoclet
 * can't be found.
 * 
 */
public class JavadocNotFoundException extends Exception {

   /**
    * Default serial version UID.
    */
   private static final long serialVersionUID = 1L;

   /**
    * COnstructs this exception with default values.
    */
   public JavadocNotFoundException() {
      super();
   }

   /**
    * Constructs this exception with a message and the cause.
    * 
    * @param  message        the message.
    * @param  cause          the cause.
    */
   public JavadocNotFoundException(final String message, final Throwable cause) {
      super(message, cause);
   }

   /**
    * Constructs this exception with a message.
    * 
    * @param  message        the message.
    */
   public JavadocNotFoundException(final String message) {
      super(message);
   }

   /**
    * Constructs this class with the cause.
    * 
    * @param  cause          the cause.
    */
   public JavadocNotFoundException(final Throwable cause) {
      super(cause);
   }

}
